정의된 범위의 예약 요약을 일별 또는 월별로 나열합니다. 참고: ARM의 페이로드 크기 제한은 12MB이므로 응답 크기가 ARM 제한을 초과하면 현재 호출자는 400을 받습니다. 이러한 경우 API 호출은 더 작은 날짜 범위로 이루어져야 합니다.
GET https://management.azure.com/{resourceScope}/providers/Microsoft.Consumption/reservationSummaries?api-version=2024-08-01&grain={grain}
선택적 매개 변수:
GET https://management.azure.com/{resourceScope}/providers/Microsoft.Consumption/reservationSummaries?api-version=2024-08-01&grain={grain}&startDate={startDate}&endDate={endDate}&$filter={$filter}&reservationId={reservationId}&reservationOrderId={reservationOrderId}
URI 매개 변수
| Name |
In(다음 안에) |
필수 |
형식 |
Description |
|
resourceScope
|
path |
True
|
string
|
리소스의 정규화된 Azure Resource Manager 식별자입니다.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
이 작업에 사용할 API 버전입니다.
|
|
grain
|
query |
True
|
Datagrain
|
매일 또는 매월 사용할 수 있습니다.
|
|
$filter
|
query |
|
string
|
일별 곡물에만 필요합니다. 시작 날짜 및 종료 날짜에 대한 properties/UsageDate입니다. 필터는 'le' 및 'ge'를 지원합니다. 청구 프로필을 사용하여 쿼리할 때는 적용되지 않습니다.
|
|
endDate
|
query |
|
string
|
종료 날짜입니다. 청구 프로필을 사용하여 쿼리하는 경우에만 적용됩니다.
|
|
reservationId
|
query |
|
string
|
예약 ID GUID입니다. reservationOrderId도 제공된 경우에만 유효합니다. 특정 예약으로 필터링
|
|
reservationOrderId
|
query |
|
string
|
예약 주문 ID GUID입니다. reservationId가 제공된 경우 필수입니다. 특정 예약 주문으로 필터링
|
|
startDate
|
query |
|
string
|
시작 날짜입니다. 청구 프로필을 사용하여 쿼리하는 경우에만 적용됩니다.
|
응답
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name |
Description |
|
user_impersonation
|
사용자 계정 가장
|
예제
ReservationSummariesDailyWithBillingAccountId
샘플 요청
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345/providers/Microsoft.Consumption/reservationSummaries?api-version=2024-08-01&grain=daily&$filter=properties/usageDate ge 2017-10-01 AND properties/usageDate le 2017-11-20
package armconsumption_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/consumption/armconsumption/v2"
)
// Generated from example definition: 2024-08-01/ReservationSummariesDailyWithBillingAccountId.json
func ExampleReservationsSummariesClient_NewListPager_reservationSummariesDailyWithBillingAccountId() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armconsumption.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewReservationsSummariesClient().NewListPager("providers/Microsoft.Billing/billingAccounts/12345", armconsumption.DatagrainDailyGrain, &armconsumption.ReservationsSummariesClientListOptions{
Filter: to.Ptr("properties/usageDate ge 2017-10-01 AND properties/usageDate le 2017-11-20")})
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armconsumption.ReservationsSummariesClientListResponse{
// ReservationSummariesListResult: armconsumption.ReservationSummariesListResult{
// Value: []*armconsumption.ReservationSummary{
// {
// Name: to.Ptr("reservationSummaries_Id1"),
// Type: to.Ptr("Microsoft.Consumption/reservationSummaries"),
// ID: to.Ptr("/providers/Microsoft.Billing/billingAccounts/12345/providers/Microsoft.Consumption/reservationSummaries/reservationSummaries_Id1"),
// Properties: &armconsumption.ReservationSummaryProperties{
// ReservationID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// ReservationOrderID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// SKUName: to.Ptr("Standard_B1s"),
// UsageDate: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2018-09-01T00:00:00-07:00"); return t}()),
// },
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
샘플 응답
{
"value": [
{
"name": "reservationSummaries_Id1",
"type": "Microsoft.Consumption/reservationSummaries",
"id": "/providers/Microsoft.Billing/billingAccounts/12345/providers/Microsoft.Consumption/reservationSummaries/reservationSummaries_Id1",
"properties": {
"avgUtilizationPercentage": 0,
"maxUtilizationPercentage": 0,
"minUtilizationPercentage": 0,
"reservationId": "00000000-0000-0000-0000-000000000000",
"reservationOrderId": "00000000-0000-0000-0000-000000000000",
"reservedHours": 720,
"skuName": "Standard_B1s",
"usageDate": "2018-09-01T00:00:00-07:00",
"usedHours": 0
},
"tags": null
}
]
}
ReservationSummariesDailyWithBillingProfileId
샘플 요청
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:2468/billingProfiles/13579/providers/Microsoft.Consumption/reservationSummaries?api-version=2024-08-01&grain=daily&startDate=2017-10-01&endDate=2017-11-20
package armconsumption_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/consumption/armconsumption/v2"
)
// Generated from example definition: 2024-08-01/ReservationSummariesDailyWithBillingProfileId.json
func ExampleReservationsSummariesClient_NewListPager_reservationSummariesDailyWithBillingProfileId() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armconsumption.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewReservationsSummariesClient().NewListPager("providers/Microsoft.Billing/billingAccounts/12345:2468/billingProfiles/13579", armconsumption.DatagrainDailyGrain, &armconsumption.ReservationsSummariesClientListOptions{
EndDate: to.Ptr("2017-11-20"),
StartDate: to.Ptr("2017-10-01")})
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armconsumption.ReservationsSummariesClientListResponse{
// ReservationSummariesListResult: armconsumption.ReservationSummariesListResult{
// Value: []*armconsumption.ReservationSummary{
// {
// Name: to.Ptr("reservationSummaries_Id1"),
// Type: to.Ptr("Microsoft.Consumption/reservationSummaries"),
// ID: to.Ptr("/providers/Microsoft.Billing/billingAccounts/12345:2468/billingProfiles/13579/providers/Microsoft.Consumption/reservationSummaries/reservationSummaries_Id1"),
// Properties: &armconsumption.ReservationSummaryProperties{
// ReservationID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// ReservationOrderID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// SKUName: to.Ptr("Standard_B1s"),
// UsageDate: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2018-09-01T00:00:00-07:00"); return t}()),
// },
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
샘플 응답
{
"value": [
{
"name": "reservationSummaries_Id1",
"type": "Microsoft.Consumption/reservationSummaries",
"id": "/providers/Microsoft.Billing/billingAccounts/12345:2468/billingProfiles/13579/providers/Microsoft.Consumption/reservationSummaries/reservationSummaries_Id1",
"properties": {
"avgUtilizationPercentage": 0,
"maxUtilizationPercentage": 0,
"minUtilizationPercentage": 0,
"reservationId": "00000000-0000-0000-0000-000000000000",
"reservationOrderId": "00000000-0000-0000-0000-000000000000",
"reservedHours": 720,
"skuName": "Standard_B1s",
"usageDate": "2018-09-01T00:00:00-07:00",
"usedHours": 0
},
"tags": null
}
]
}
ReservationSummariesMonthlyWithBillingAccountId
샘플 요청
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345/providers/Microsoft.Consumption/reservationSummaries?api-version=2024-08-01&grain=monthly
package armconsumption_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/consumption/armconsumption/v2"
)
// Generated from example definition: 2024-08-01/ReservationSummariesMonthlyWithBillingAccountId.json
func ExampleReservationsSummariesClient_NewListPager_reservationSummariesMonthlyWithBillingAccountId() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armconsumption.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewReservationsSummariesClient().NewListPager("providers/Microsoft.Billing/billingAccounts/12345", armconsumption.DatagrainMonthlyGrain, nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armconsumption.ReservationsSummariesClientListResponse{
// ReservationSummariesListResult: armconsumption.ReservationSummariesListResult{
// Value: []*armconsumption.ReservationSummary{
// {
// Name: to.Ptr("reservationSummaries_Id1"),
// Type: to.Ptr("Microsoft.Consumption/reservationSummaries"),
// ID: to.Ptr("/providers/Microsoft.Billing/billingAccounts/12345/providers/Microsoft.Consumption/reservationSummaries/reservationSummaries_Id1"),
// Properties: &armconsumption.ReservationSummaryProperties{
// ReservationID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// ReservationOrderID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// SKUName: to.Ptr("Standard_B1s"),
// UsageDate: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2018-09-01T00:00:00-07:00"); return t}()),
// },
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
샘플 응답
{
"value": [
{
"name": "reservationSummaries_Id1",
"type": "Microsoft.Consumption/reservationSummaries",
"id": "/providers/Microsoft.Billing/billingAccounts/12345/providers/Microsoft.Consumption/reservationSummaries/reservationSummaries_Id1",
"properties": {
"avgUtilizationPercentage": 0,
"maxUtilizationPercentage": 0,
"minUtilizationPercentage": 0,
"reservationId": "00000000-0000-0000-0000-000000000000",
"reservationOrderId": "00000000-0000-0000-0000-000000000000",
"reservedHours": 720,
"skuName": "Standard_B1s",
"usageDate": "2018-09-01T00:00:00-07:00",
"usedHours": 0
},
"tags": null
}
]
}
ReservationSummariesMonthlyWithBillingProfileId
샘플 요청
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:2468/billingProfiles/13579/providers/Microsoft.Consumption/reservationSummaries?api-version=2024-08-01&grain=monthly
package armconsumption_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/consumption/armconsumption/v2"
)
// Generated from example definition: 2024-08-01/ReservationSummariesMonthlyWithBillingProfileId.json
func ExampleReservationsSummariesClient_NewListPager_reservationSummariesMonthlyWithBillingProfileId() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armconsumption.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewReservationsSummariesClient().NewListPager("providers/Microsoft.Billing/billingAccounts/12345:2468/billingProfiles/13579", armconsumption.DatagrainMonthlyGrain, nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armconsumption.ReservationsSummariesClientListResponse{
// ReservationSummariesListResult: armconsumption.ReservationSummariesListResult{
// Value: []*armconsumption.ReservationSummary{
// {
// Name: to.Ptr("reservationSummaries_Id1"),
// Type: to.Ptr("Microsoft.Consumption/reservationSummaries"),
// ID: to.Ptr("/providers/Microsoft.Billing/billingAccounts/12345:2468/billingProfiles/13579/providers/Microsoft.Consumption/reservationSummaries/reservationSummaries_Id1"),
// Properties: &armconsumption.ReservationSummaryProperties{
// ReservationID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// ReservationOrderID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// SKUName: to.Ptr("Standard_B1s"),
// UsageDate: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2018-09-01T00:00:00-07:00"); return t}()),
// },
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
샘플 응답
{
"value": [
{
"name": "reservationSummaries_Id1",
"type": "Microsoft.Consumption/reservationSummaries",
"id": "/providers/Microsoft.Billing/billingAccounts/12345:2468/billingProfiles/13579/providers/Microsoft.Consumption/reservationSummaries/reservationSummaries_Id1",
"properties": {
"avgUtilizationPercentage": 0,
"maxUtilizationPercentage": 0,
"minUtilizationPercentage": 0,
"reservationId": "00000000-0000-0000-0000-000000000000",
"reservationOrderId": "00000000-0000-0000-0000-000000000000",
"reservedHours": 720,
"skuName": "Standard_B1s",
"usageDate": "2018-09-01T00:00:00-07:00",
"usedHours": 0
},
"tags": null
}
]
}
ReservationSummariesMonthlyWithBillingProfileIdReservationId
샘플 요청
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:2468/billingProfiles/13579/providers/Microsoft.Consumption/reservationSummaries?api-version=2024-08-01&grain=monthly&reservationId=1c6b6358-709f-484c-85f1-72e862a0cf3b&reservationOrderId=9f39ba10-794f-4dcb-8f4b-8d0cb47c27dc
package armconsumption_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/consumption/armconsumption/v2"
)
// Generated from example definition: 2024-08-01/ReservationSummariesMonthlyWithBillingProfileIdReservationId.json
func ExampleReservationsSummariesClient_NewListPager_reservationSummariesMonthlyWithBillingProfileIdReservationId() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armconsumption.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewReservationsSummariesClient().NewListPager("providers/Microsoft.Billing/billingAccounts/12345:2468/billingProfiles/13579", armconsumption.DatagrainMonthlyGrain, &armconsumption.ReservationsSummariesClientListOptions{
ReservationID: to.Ptr("1c6b6358-709f-484c-85f1-72e862a0cf3b"),
ReservationOrderID: to.Ptr("9f39ba10-794f-4dcb-8f4b-8d0cb47c27dc")})
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armconsumption.ReservationsSummariesClientListResponse{
// ReservationSummariesListResult: armconsumption.ReservationSummariesListResult{
// Value: []*armconsumption.ReservationSummary{
// {
// Name: to.Ptr("reservationSummaries_Id1"),
// Type: to.Ptr("Microsoft.Consumption/reservationSummaries"),
// ID: to.Ptr("/providers/Microsoft.Billing/billingAccounts/12345:2468/billingProfiles/13579/providers/Microsoft.Consumption/reservationSummaries/reservationSummaries_Id1"),
// Properties: &armconsumption.ReservationSummaryProperties{
// ReservationID: to.Ptr("1c6b6358-709f-484c-85f1-72e862a0cf3b"),
// ReservationOrderID: to.Ptr("9f39ba10-794f-4dcb-8f4b-8d0cb47c27dc"),
// SKUName: to.Ptr("Standard_B1s"),
// UsageDate: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2018-09-01T00:00:00-07:00"); return t}()),
// },
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
샘플 응답
{
"value": [
{
"name": "reservationSummaries_Id1",
"type": "Microsoft.Consumption/reservationSummaries",
"id": "/providers/Microsoft.Billing/billingAccounts/12345:2468/billingProfiles/13579/providers/Microsoft.Consumption/reservationSummaries/reservationSummaries_Id1",
"properties": {
"avgUtilizationPercentage": 0,
"maxUtilizationPercentage": 0,
"minUtilizationPercentage": 0,
"reservationId": "1c6b6358-709f-484c-85f1-72e862a0cf3b",
"reservationOrderId": "9f39ba10-794f-4dcb-8f4b-8d0cb47c27dc",
"reservedHours": 720,
"skuName": "Standard_B1s",
"usageDate": "2018-09-01T00:00:00-07:00",
"usedHours": 0
},
"tags": null
}
]
}
정의
createdByType
열거형
리소스를 만든 ID의 형식입니다.
| 값 |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
Datagrain
열거형
| 값 |
Description |
|
daily
|
일일 데이터 조직
|
|
monthly
|
월별 데이터 곡물
|
ErrorAdditionalInfo
Object
리소스 관리 오류 추가 정보입니다.
| Name |
형식 |
Description |
|
info
|
object
|
추가 정보입니다.
|
|
type
|
string
|
추가 정보 유형입니다.
|
ErrorDetail
Object
오류 세부 정보입니다.
| Name |
형식 |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
오류 추가 정보입니다.
|
|
code
|
string
|
오류 코드입니다.
|
|
details
|
ErrorDetail[]
|
오류 세부 정보입니다.
|
|
message
|
string
|
오류 메시지입니다.
|
|
target
|
string
|
오류 대상입니다.
|
ErrorResponse
Object
오류 응답
ReservationSummariesListResult
Object
예약 요약을 나열한 결과입니다.
| Name |
형식 |
Description |
|
nextLink
|
string
|
결과의 다음 페이지에 대한 링크(URL)입니다.
|
|
value
|
ReservationSummary[]
|
예약 요약 목록입니다.
|
ReservationSummary
Object
예약 요약 리소스입니다.
| Name |
형식 |
Description |
|
etag
|
string
|
리소스의 etag입니다.
|
|
id
|
string
|
리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
|
|
name
|
string
|
리소스의 이름
|
|
properties.avgUtilizationPercentage
|
number
(decimal)
|
전체 시간 범위의 평균 사용률입니다. (곡물에 따라 일 또는 월)
|
|
properties.kind
|
string
|
예약 종류입니다.
|
|
properties.maxUtilizationPercentage
|
number
(decimal)
|
이는 사용 시간(일 또는 월)의 최대 시간 사용률입니다. 예를 들어 사용 레코드가 2017/12/10에 해당하고 4시간 및 5시간 동안 사용률이 100%경우 이 필드는 해당 날짜에 대해 100% 반환합니다.
|
|
properties.minUtilizationPercentage
|
number
(decimal)
|
이는 사용 시간(일 또는 월)의 최소 시간별 사용률입니다. 예를 들어 사용 레코드가 2017/12/10에 해당하고 4시간 및 5시간 동안 사용률이 10%경우 이 필드는 해당 날짜에 대해 10개의% 반환합니다.
|
|
properties.purchasedQuantity
|
number
(decimal)
|
reservationId에 대해 구매한 수량입니다.
|
|
properties.remainingQuantity
|
number
(decimal)
|
reservationId의 나머지 수량입니다.
|
|
properties.reservationId
|
string
|
예약 ID는 예약 주문 내의 예약 식별자입니다. 각 예약은 혜택 범위를 적용하기 위한 그룹화이며 예약 혜택을 적용할 수 있는 인스턴스 수를 지정합니다.
|
|
properties.reservationOrderId
|
string
|
예약 주문 ID는 예약 구매의 식별자입니다. 각 예약 주문 ID는 단일 구매 트랜잭션을 나타냅니다. 예약 주문에는 예약이 포함됩니다. 예약 순서는 예약에 대한 VM 크기 및 지역을 지정합니다.
|
|
properties.reservedHours
|
number
(decimal)
|
예약된 총 시간입니다. 예를 들어 1개 인스턴스에 대한 예약이 오후 1시에 이루어진 경우 해당 날짜의 경우 11시간, 이후 날짜로부터 24시간이 됩니다.
|
|
properties.skuName
|
string
|
ARM Sku 이름입니다. 사용 레코드의 추가 정보에서 serviceType 필드와 조인하는 데 사용할 수 있습니다.
|
|
properties.totalReservedQuantity
|
number
(decimal)
|
reservationId에 예약된 인스턴스의 총 개수입니다.
|
|
properties.usageDate
|
string
(date-time)
|
사용률 레코드에 해당하는 데이터입니다. 데이터의 세분화가 매월이면 월의 첫째 날이 됩니다.
|
|
properties.usedHours
|
number
(decimal)
|
예약별 총 사용 시간
|
|
properties.usedQuantity
|
number
(decimal)
|
reservationId에 사용되는 수량입니다.
|
|
properties.utilizedPercentage
|
number
(decimal)
|
예약 ID에 대한 사용률입니다.
|
|
systemData
|
systemData
|
createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.
|
|
tags
|
object
|
리소스 태그.
|
|
type
|
string
|
리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"
|
systemData
Object
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.
| Name |
형식 |
Description |
|
createdAt
|
string
(date-time)
|
리소스 만들기의 타임스탬프(UTC)입니다.
|
|
createdBy
|
string
|
리소스를 만든 ID입니다.
|
|
createdByType
|
createdByType
|
리소스를 만든 ID의 형식입니다.
|
|
lastModifiedAt
|
string
(date-time)
|
리소스 마지막 수정의 타임스탬프(UTC)
|
|
lastModifiedBy
|
string
|
리소스를 마지막으로 수정한 ID입니다.
|
|
lastModifiedByType
|
createdByType
|
리소스를 마지막으로 수정한 ID의 형식입니다.
|